Bug 133881

Summary: where is PK11_GetCertFromPrivateKey
Product: [Fedora] Fedora Reporter: Caolan McNamara <caolanm>
Component: mozillaAssignee: Christopher Blizzard <blizzard>
Status: CLOSED RAWHIDE QA Contact: Ben Levenson <benl>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: dcbw
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-01-27 09:27:31 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 129762    
Attachments:
Description Flags
when I compile moz from source the above makes the symbols OOo 1.9.54 need's external
none
patch to add what is needed now none

Description Caolan McNamara 2004-09-28 05:16:23 EDT
Description of problem:


Version-Release number of selected component (if applicable):
mozilla-nss-1.7.3-1

How reproducible:
everytime


Steps to Reproduce:
1. link against libnss3 for symbols PK11_GetCertFromPrivateKey and
CERT_DecodeDERCertificate
  
Actual results:
failure

Expected results:
success

Additional info:
/usr/include/mozilla-1.7.3/nss/pk11func.h

contains
...
SECItem *PK11_MakeIDFromPubKey(SECItem *pubKeyData);
CERTCertificate *PK11_GetCertFromPrivateKey(SECKEYPrivateKey *privKey);
SECStatus PK11_TraverseSlotCerts(
     SECStatus(* callback)(CERTCertificate*,SECItem *,void *),
...

and
objdump -T libnss3.so shows...
PK11_MakeIDFromPubKey
PK11_TraverseSlotCerts
etc, but not
PK11_GetCertFromPrivateKey

similiarly CERT_DecodeDERCertificate appears to be missing though its
mentioned in "nss/cert.h"

and in OOo 1.9.54 use is made of both PK11_GetCertFromPrivateKey and
CERT_DecodeDERCertificate so link fails of 1.9.54 under rawhide

What gives ? Does our mozilla, or OOo need to be changed with respect
to these symbols ? (I see that they exist in mozilla 1.7.3 in gentoo)

(caolanm->dcbw: this is 1.9.54 in the new OOo xmlsecurity module)
Comment 1 Caolan McNamara 2004-09-29 09:37:51 EDT
Created attachment 104507 [details]
when I compile moz from source the above makes the symbols OOo 1.9.54 need's external
Comment 2 Caolan McNamara 2004-09-30 10:36:54 EDT
I've given upstream moz and OOo a ping as well and see if anyone will
reveal what they're for :-)
https://bugzilla.mozilla.org/show_bug.cgi?id=262274
Comment 3 Caolan McNamara 2004-10-05 10:37:39 EDT
The CERT_DecodeDERCertificate symbol is irrelevent, apparently
__CERT_DecodeDERCertificate is exported and including nssrenam.hxx
will do the right thing. So only PK11_GetCertFromPrivateKey is an
issue, upstream seems amenable to exporting it. 
Comment 4 Caolan McNamara 2004-11-29 06:53:20 EST
Created attachment 107531 [details]
patch to add what is needed now
Comment 5 Caolan McNamara 2005-01-27 09:27:31 EST
rawhide includes nss-1.7.5 which has this integrated